Index: trunk/MagicSoft/Mars/Changelog
===================================================================
--- trunk/MagicSoft/Mars/Changelog	(revision 8487)
+++ trunk/MagicSoft/Mars/Changelog	(revision 8488)
@@ -26,4 +26,6 @@
    * scripts/merppupdate:
      - added (script to merpp update already calibrated files) 
+     - added possibility to give outpath and regular expression for 
+       filename as command line options
 
 
Index: trunk/MagicSoft/Mars/scripts/merppupdate
===================================================================
--- trunk/MagicSoft/Mars/scripts/merppupdate	(revision 8487)
+++ trunk/MagicSoft/Mars/scripts/merppupdate	(revision 8488)
@@ -40,5 +40,5 @@
 
 #regular expression for the filename
-name="20*_Y_*E.root"
+name2=
 
 if ! [ "$1" = "" ]
@@ -47,5 +47,5 @@
    if ! [ "$2" = "" ]
    then
-      name=$2
+      name2=" -name $2"
       if ! [ "$3" = "" ]
       then
@@ -62,5 +62,5 @@
 fi
 
-if ! ls $outpath
+if ! ls $outpath >/dev/null 2>&1
 then 
    echo "Your outpath is not valid."
@@ -69,5 +69,5 @@
    
 
-calfiles=`find $outpath -name '$name'`
+calfiles=`find $outpath -name 20*_Y_*_E.root $name2 `
 
 echo "calfiles: "$calfiles
